<!DOCTYPE html>
<html lang="en">
	@section('htmlheader')
		@includeIf('layouts.partials.htmlheader')
	@show

	@includeIf('layouts.partials.header')

	<section id="content-section" class="content-section">
		<div class="container mt-2 mb-5">
			<div class="single-col-max mx-auto">
				<h2 class="section-heading text-center mb-5">@yield('contentheader_title', 'Content Title')</h2>
				<!-- Your Page Content Here -->
				@yield('main-content')
			</div>
		</div>
	</section>

	{{--
	<section class="hero-section">
		<div class="container">
			@includeIf('layouts.partials.hero')
		</div>
	</section>
	--}}

	<section id="benefits-section" class="benefits-section theme-bg-light-gradient py-5">
		<div class="container py-0">
			@yield('benefits-content')
		</div>
	</section>

	{{--
	<section id="audience-section" class="audience-section py-5">
		<div class="container">
			@includeIf('layouts.partials.audience')
		</div>
	</section>
	--}}

	{{--
	<section id="form-section" class="form-section">
		<div class="container">
			@includeIf('layouts.partials.lead')
		</div>
	</section>
	--}}

	<section id="reviews-section" class="reviews-section py-5">
		<div class="container">
			@includeIf('layouts.partials.reviews')
		</div>
	</section>

	<section id="author-section" class="author-section section theme-bg-primary py-5">
		<div class="container py-3">
			{{--
			<div class="author-profile text-center mb-5">
				<img class="author-pic" src="assets/images/profiles/author-profile.png" alt="image" >
			</div>
			--}}
			<h2 class="section-heading text-center text-white mb-3">About SQRL</h2>
			<div class="author-bio single-col-max mx-auto">
				<p><strong>Secure Quick Reliable Login</strong></p>
				<p>
					SQRL (pronounced “squirrel”) is an open, free, intellectual property unencumbered, complete and
					practical system to cryptographically authenticate the identity of individuals across a network. Though
					principally intended for website visitor identification and account sign-in, its concepts may be extended
					for related applications. SQRL may be used alongside other traditional website sign-in systems, and it
					can replace all other systems while offering dramatic improvements in usability and security.
				</p>
				<div class="author-links text-center pt-4">
					<h5 class="text-white mb-4">More information</h5>
					<ul class="social-list list-unstyled">
						<li class="list-inline-item"><a href="https://sqrl.grc.com"><i class="fab fa-wpforms"></i></a></li>
						<li class="list-inline-item"><a href="https://dev.leenooks.net/leenooks/sqrl"><i class="fab fa-laravel"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</section>

	@includeIf('layouts.partials.footer')
</html>